#ifndef ATTRIBUTEWINDOW_H
#define ATTRIBUTEWINDOW_H



class SplitChannels;
class SplitSegmentSize;
class SplitBits;
class SplitBitsItem;
class SplitKeepOriginal;
class SplitOkButton;
class SplitCancelButton;


#include "bcbase.h"

class AttributeWindow : public BC_Window
{
public:
	AttributeWindow(Defaults *defaults);
	~AttributeWindow();
	
	int create_objects();
	int load_defaults();
	int save_defaults();
	
	int channels;
	int segment_size;
	int bits;
	int keep_original;
	
	SplitChannels *channelsbox;
	SplitSegmentSize *segmentbox;
	SplitBits *bitsmenu;
	SplitBitsItem *bitsitems[3];
	SplitKeepOriginal *keepbox;
	SplitOkButton *ok;
	SplitCancelButton *cancel;
	Defaults *defaults;
};

class SplitChannels : public BC_TextBox
{
public:
	SplitChannels(AttributeWindow *dialog, char *text);
	~SplitChannels();
	
	int handle_event();
	
	AttributeWindow *dialog;
};

class SplitSegmentSize : public BC_TextBox
{
public:
	SplitSegmentSize(AttributeWindow *dialog, char *text);
	~SplitSegmentSize();
	
	int handle_event();
	
	AttributeWindow *dialog;
};

class SplitBits : public BC_PopupMenu
{
public:
	SplitBits(AttributeWindow *dialog, char *text);
	~SplitBits();
	
	int handle_event();
	
	AttributeWindow *dialog;
};

class SplitBitsItem : public BC_PopupItem
{
public:
	SplitBitsItem(SplitBits *bits, char *text);
	~SplitBitsItem();
	
	int handle_event();
	SplitBits *bits;
};

class SplitKeepOriginal : public BC_CheckBox
{
public:
	SplitKeepOriginal(AttributeWindow *dialog, int value);
	~SplitKeepOriginal();
	
	int handle_event();
	
	AttributeWindow *dialog;
};

class SplitOkButton : public BC_BigButton
{
public:
	SplitOkButton(AttributeWindow *dialog);
	~SplitOkButton();
	
	int handle_event();
	int keypress_event();
	
	AttributeWindow *dialog;
};

class SplitCancelButton : public BC_BigButton
{
public:
	SplitCancelButton(AttributeWindow *dialog);
	~SplitCancelButton();
	
	int handle_event();
	int keypress_event();
	
	AttributeWindow *dialog;
};





#endif
