#ifndef BATCHWINDOW_H
#define BATCHWINDOW_H

#include "batchitem.h"
#include "bcbase.h"

class BatchSubWindow : public BC_SubWindow
{
public:
	BatchSubWindow(BC_Window *window, 
				char *init_directory, 
				char *caption1, 
				char *caption2, 
				ArrayList <BatchItem*> *batch, 
				int x, 
				int y);
	~BatchSubWindow();

	int create_objects();
	int resize_event(int w, int h);
	int create_dirlist(char *text);
	int submit_file(char *text);       // return 1 if directory 0 if file
	int delete_file(char *text); 
	int set_filter(char *filter);

	BC_TextBox *intext;
	BC_ListBox *inlist, *outlist;
	FileSystem *dir;
	ArrayList <BC_ListBoxItem*> dir_list;
	ArrayList <BatchItem*> *batch;
	BC_Title *directory_title;
	int total_batch;

	char directory[1024], caption1[1024], caption2[1024];
};

class BatchAdd : public BC_BigButton
{
public:
	BatchAdd(BatchSubWindow *subwindow);

	int handle_event();
	int keypress_event();

	BatchSubWindow *subwindow;
};

class BatchDelete : public BC_BigButton
{
public:
	BatchDelete(BatchSubWindow *subwindow);
	
	int handle_event();
	
	BatchSubWindow *subwindow;
};

class InText : public BC_TextBox
{
public:
	InText(BatchSubWindow *subwindow, char *text);
	
	int handle_event();
	
	BatchSubWindow *subwindow;
};

class BatchDirectory : public BC_Title
{
public:
	BatchDirectory(BatchSubWindow *subwindow, char *text);
};

class InList : public BC_ListBox
{
public:
	InList(BatchSubWindow *subwindow, ArrayList <BC_ListBoxItem*> *dir_list);
	~InList();
	
	int handle_event();
	int selection_changed();
	
	BatchSubWindow *subwindow;
};

class OutList : public BC_ListBox
{
public:
	OutList(BatchSubWindow *subwindow, ArrayList <BC_ListBoxItem*> *batch);
	~OutList();
	
	int handle_event();
	int selection_changed();
	
	BatchSubWindow *subwindow;
};

#endif
