#include "expanddialog.h"

ExpandDialog::ExpandDialog(Defaults *defaults)
 : BC_Window("", MEGREY, "Expand", 530, 450, 0, 0)
{
	this->defaults = defaults;
}

ExpandDialog::~ExpandDialog()
{
	delete ok;
	delete cancel;
	delete keep;
	delete batch;
}
	
ExpandDialog::create_objects()
{
	BC_SubWindow *sub;
	char directory[1024], string[1024];
	sprintf(directory, "~");
	
	defaults->get("DIRECTORY", directory);
	keep_original = defaults->get("KEEP", 0);

// create here to change filter
	batch = new BatchSubWindow(this, directory, "Files", "Batch");
	batch->set_filter(".spl");
	add_subwindow(batch);
	
	add_subwindow(sub = new BC_SubWindow(0, 380, w, 70, MEGREY));
	sub->add_border(LTGREY, MEGREY, DKGREY);
	sub->add_tool(ok = new ExpandOkButton(this));
	sub->add_tool(cancel = new ExpandCancelButton(this));
	
	sub->add_tool(new BC_Title(10, 10, "Expand:", TITLEFONT, RED));
	sub->add_tool(new BC_Title(200, 10, "Keep original:"));
	sub->add_tool(keep = new ExpandKeepOriginal(this, keep_original));
}

ExpandDialog::resize_event(int w, int h)
{
	this->w = w; this->h = h;
}

ExpandDialog::doit()
{
	defaults->update("DIRECTORY", batch->directory);
	defaults->update("KEEP", keep_original);
	set_done(0);
}

ExpandOkButton::ExpandOkButton(ExpandDialog *dialog)
 : BC_BigButton(10, 40, "Do it")
{
	this->dialog = dialog;
}

ExpandOkButton::~ExpandOkButton()
{
}

ExpandOkButton::handle_event()
{
	dialog->doit();
}

ExpandOkButton::keypress_event()
{
	return 0;
}

ExpandCancelButton::ExpandCancelButton(ExpandDialog *dialog)
 : BC_BigButton(320, 40, "Cancel")
{
	this->dialog = dialog;
}

ExpandCancelButton::~ExpandCancelButton()
{
}
	
ExpandCancelButton::handle_event()
{
	dialog->set_done(1);
}

ExpandCancelButton::keypress_event()
{
	return 0;
}

ExpandKeepOriginal::ExpandKeepOriginal(ExpandDialog *dialog, int value)
 : BC_CheckBox(300, 10, 15, 15, value)
{
	this->dialog = dialog;
}

ExpandKeepOriginal::~ExpandKeepOriginal()
{
}
	
ExpandKeepOriginal::handle_event()
{
	dialog->keep_original = down;
}
