#ifndef EXPANDDIALOG_H
#define EXPANDDIALOG_H

#include "batchwindow.h"
#include "bcbase.h"
#include "defaults.h"
#include "thread.h"

class ExpandKeepOriginal;
class ExpandCancelButton;
class ExpandOkButton;

class ExpandDialog : public BC_Window
{
public:
	ExpandDialog(Defaults *defaults);
	~ExpandDialog();
	
	create_objects();
	resize_event(int w, int h);
	doit();
	
	int keep_original;
	Defaults *defaults;
	BatchSubWindow *batch;
	
	ExpandOkButton *ok;
	ExpandCancelButton *cancel;
	ExpandKeepOriginal *keep;
};

class ExpandOkButton : public BC_BigButton
{
public:
	ExpandOkButton(ExpandDialog *dialog);
	~ExpandOkButton();
	
	handle_event();
	keypress_event();
	
	ExpandDialog *dialog;
};

class ExpandCancelButton : public BC_BigButton
{
public:
	ExpandCancelButton(ExpandDialog *dialog);
	~ExpandCancelButton();
	
	handle_event();
	keypress_event();
	
	ExpandDialog *dialog;
};

class ExpandKeepOriginal : public BC_CheckBox
{
public:
	ExpandKeepOriginal(ExpandDialog *dialog, int value);
	~ExpandKeepOriginal();
	
	handle_event();
	
	ExpandDialog *dialog;
};

#endif
