#include "mainmenu.h"
#include "splitter.h"
#include "joiner.h"

MainMenu::MainMenu(BC_Window *window, Defaults *defaults, char *compressor, char *decompressor)
 : BC_SubWindow(0, 0, window->w, 35, MECYAN)
{
	this->defaults = defaults;
	this->compressor = compressor;
	this->decompressor = decompressor;
}

MainMenu::~MainMenu()
{
}

MainMenu::create_objects()
{
	add_border(LTCYAN, MECYAN, DKCYAN);
	add_tool(new Splitter(defaults, compressor));
	add_tool(new Joiner(defaults, decompressor));
	add_tool(new Quit(top_level));
}

Quit::Quit(BC_Window *window)
 : BC_BigButton(200, 5, "Quit")
{ this->window = window; }

Quit::~Quit()
{
}

Quit::handle_event()
{
	window->set_done(0);
}

Quit::keypress_event()
{
	if(get_keypress() == 17) { handle_event(); return 1; }
	return  0;
}
