#ifndef SPLIT_H
#define SPLIT_H

class MainWindow;

#include "batchwindow.h"
#include "bcbase.h"
#include "defaults.h"
#include "preferences.h"

class CompressButton;
class UnCompressButton;
class QuitButton;
class PreferencesButton;

class MainWindow : public BC_Window
{
public:
	MainWindow(ArrayList<BatchItem*> *batch, Defaults *defaults);
	~MainWindow();
	
	int create_objects();
	int load_defaults();
	int save_defaults();
	int get_batch(ArrayList<BatchItem*> *batch);

	Defaults *defaults;
	ArrayList<BatchItem*> *batch;
	BC_SubWindow *sw;
	BatchSubWindow *batchwindow;
	CompressButton *compressbutton;
	UnCompressButton *uncompressbutton;
	QuitButton *quitbutton;
	PreferencesThread *prefs;
	PreferencesButton *prefsbutton;

	char compressor[1024];
	char decompressor[1024];
	int keep_original;
};

class CompressButton : public BC_BigButton
{
public:
	CompressButton(MainWindow *window);
	~CompressButton();
	
	int handle_event();
	
	MainWindow *window;
};

class UnCompressButton : public BC_BigButton
{
public:
	UnCompressButton(MainWindow *window);
	~UnCompressButton();
	
	int handle_event();
	
	MainWindow *window;
};

class QuitButton : public BC_BigButton
{
public:
	QuitButton(MainWindow *window);
	~QuitButton();
	
	int handle_event();
	
	MainWindow *window;
};

class PreferencesButton : public BC_BigButton
{
public:
	PreferencesButton(MainWindow *window);
	~PreferencesButton();
	
	int handle_event();
	
	MainWindow *window;
};


#endif
