#ifndef PREFERENCES_H
#define PREFERENCES_H

class PreferencesWin;
class PreferencesThread;


#include "thread.h"
#include "mainwindow.h"
#include "thread.h"

class PreferencesThread : public Thread
{
public:
	PreferencesThread(MainWindow *window);
	~PreferencesThread();
	
	void run();
	
	MainWindow *window;
};





class CompressorBox;
class DeCompressorBox;
class KeepOriginal;

class PreferencesCancel;
class PreferencesOK;

class PreferencesWin : public BC_Window
{
public:
	PreferencesWin(MainWindow *window);
	~PreferencesWin();
	
	int create_objects();
	
	MainWindow *window;
	CompressorBox *compressorbox;
	DeCompressorBox *decompressorbox;
	KeepOriginal *keep_toggle;
	PreferencesCancel *cancel;
	PreferencesOK *ok;
	
	int keep_original;
	char compressor[1024];
	char decompressor[1024];
};


class CompressorBox : public BC_TextBox
{
public:
	CompressorBox(PreferencesWin *window, char *text);
	~CompressorBox();
	
	int handle_event();
	
	PreferencesWin *window;
};

class DeCompressorBox : public BC_TextBox
{
public:
	DeCompressorBox(PreferencesWin *window, char *text);
	~DeCompressorBox();
	
	int handle_event();
	
	PreferencesWin *window;
};

class KeepOriginal : public BC_CheckBox
{
public:
	KeepOriginal(PreferencesWin *window, int value);
	~KeepOriginal();
	
	int handle_event();
	
	PreferencesWin *window;
};

class PreferencesOK : public BC_BigButton
{
public:
	PreferencesOK(PreferencesWin *window);
	~PreferencesOK();
	
	int handle_event();
	int keypress_event();
	PreferencesWin *window;
};

class PreferencesCancel : public BC_BigButton
{
public:
	PreferencesCancel(PreferencesWin *window);
	~PreferencesCancel();
	
	int handle_event();
	int keypress_event();
	PreferencesWin *window;
};




#endif
