#ifndef PROGRESS_H
#define PROGRESS_H

class ProgressCancelButton;
class ProgressWindow;

#include "bcbase.h"
#include "thread.h"

class Progress : public Thread
{
public:
	Progress(char *title, char *text);
	~Progress();
	
	int create_objects();
	void run();
	int update_position(long position);
	int update_length(long length);
	int update(char *text);    // add text to textarea
	int update_button(char *text);
	int cancelled();      // return 1 if cancelled
	int stop_progress();

	ProgressWindow *window;
};

// need as seperate class because of multiple inheritance

class ProgressWindow : public BC_Window
{
public:
	ProgressWindow(char *title, char *text);
	~ProgressWindow();
	
	int create_objects(Progress *progress);
	int update_position(long position);
	int update_length(long length);
	int update(char *text);    // add text to textarea
	int update_button(char *text);
	int cancelled();      // return 1 if cancelled
	
	int cancelled_;
	char *text;
	ProgressCancelButton *cancel;
	BC_ProgressBar *bar;
	BC_TextArea *textarea;
	Progress *progress;
};

class ProgressCancelButton : public BC_BigButton
{
public:
	ProgressCancelButton(ProgressWindow *window);
	
	int handle_event();
	int keypress_event();
	
	ProgressWindow *window;
};

#endif
