#ifndef SPLITDIALOG_H
#define SPLITDIALOG_H

#include "batchwindow.h"
#include "bcbase.h"
#include "defaults.h"
#include "thread.h"

class SplitOkButton;
class SplitCancelButton;
class SplitChannels;
class SplitSegmentSize;
class SplitKeepOriginal;
class SplitBits;
class SplitBitsItem;

class SplitDialog : public BC_Window
{
public:
	SplitDialog(Defaults *defaults);
	~SplitDialog();
	
	create_objects();
	resize_event(int w, int h);
	doit();
	
	int channels, keep_original, bits, segment;
	Defaults *defaults;
	BatchSubWindow *batch;
	SplitOkButton *ok;
	SplitCancelButton *cancel;
	SplitChannels *channels_button;
	SplitSegmentSize *segment_button;
	SplitKeepOriginal *keep;
	SplitBitsItem *bits_items[3];
	SplitBits *bits_menu;
};

class SplitOkButton : public BC_BigButton
{
public:
	SplitOkButton(SplitDialog *dialog);
	~SplitOkButton();
	
	handle_event();
	keypress_event();
	
	SplitDialog *dialog;
};

class SplitCancelButton : public BC_BigButton
{
public:
	SplitCancelButton(SplitDialog *dialog);
	~SplitCancelButton();
	
	handle_event();
	keypress_event();
	
	SplitDialog *dialog;
};

class SplitChannels : public BC_TextBox
{
public:
	SplitChannels(SplitDialog *dialog, char *text);
	~SplitChannels();
	
	handle_event();
	
	SplitDialog *dialog;
};

class SplitSegmentSize : public BC_TextBox
{
public:
	SplitSegmentSize(SplitDialog *dialog, char *text);
	~SplitSegmentSize();
	
	handle_event();
	
	SplitDialog *dialog;
};

class SplitBits : public BC_PopupMenu
{
public:
	SplitBits(SplitDialog *dialog, char *text);
	~SplitBits();
	
	handle_event();
	
	SplitDialog *dialog;
};

class SplitBitsItem : public BC_PopupItem
{
public:
	SplitBitsItem(SplitBits *bits, char *text);
	~SplitBitsItem();
	
	handle_event();
	SplitBits *bits;
};

class SplitKeepOriginal : public BC_CheckBox
{
public:
	SplitKeepOriginal(SplitDialog *dialog, int value);
	~SplitKeepOriginal();
	
	handle_event();
	
	SplitDialog *dialog;
};

#endif
