#include "splitdialog.h"
#include "splitengine.h"
#include "splitter.h"

Splitter::Splitter(Defaults *defaults, char *compressor)
 : BC_BigButton(90, 5, "Compress"), Thread()
{
	this->defaults = defaults;
	this->compressor = compressor;
}

Splitter::~Splitter()
{
}

Splitter::handle_event()
{
	start();
}

Splitter::keypress_event()
{
	return 0;
}

void Splitter::run()
{
	SplitDialog dialog(defaults);
	dialog.create_objects();
	int result = dialog.run_window();
	dialog.destroy_window();
	
	if(!result)
	{
		SplitEngine engine(dialog.channels, dialog.keep_original, dialog.bits, dialog.segment, dialog.batch->batch1, dialog.batch->total_batch, compressor);
		engine.run(1);
	}
}
